=== meson_options.txt ===
option('tests',            type : 'boolean', value : true,  description : 'Enable dependencies required for testing')

# python:
option('swig',             type : 'boolean', value : true,        description : 'Build UNANMITIY\'s SWIG interfacing code')
option('PYTHON',           type : 'string',  value : 'python2.7', description : 'Python interpreter to use for byte-compiling .py files')
option('pythoninstalldir', type : 'string',                       description : 'Directory to install python files into, will use python sitedir if left empty')
