=== debian/changelog ===
unanimity (3.3.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove manual dependencies on libpbbam, version build
    dependency on libpbbam-dev to ensure a proper dependency
    is generated.

 -- Adrian Bunk <bunk@debian.org>  Wed, 06 Feb 2019 09:11:14 +0200

unanimity (3.3.0+dfsg-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Build compatibility with -Wl, --as-needed
    Closes: #921054
  * Don't depend on build target
    Closes: #921057

 -- Andreas Tille <tille@debian.org>  Fri, 01 Feb 2019 12:45:08 +0100

unanimity (3.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jan 2019 11:40:05 +0100

unanimity (3.1.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #847310)
  * Python 2 version is needed to fix bug #852654 and update other
    packages to latest upstream version.

 -- Andreas Tille <tille@debian.org>  Thu, 18 Oct 2018 18:14:48 +0200
