=== debian/control ===
Source: unanimity
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               cmake,
               swig,
               python-setuptools,
               python-all-dev,
               python-numpy,
               libboost-dev,
               libhts-dev,
               libpbbam-dev (>= 0.18.0+dfsg-1~),
               libpbcopper-dev,
               libseqan2-dev,
               pandoc
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/unanimity
Vcs-Git: https://salsa.debian.org/med-team/unanimity.git
Homepage: https://github.com/PacificBiosciences/unanimity

Package: unanimity
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: generate and process accurate consensus nucleotide sequences
 Unanimity provides a set of tools for consensus sequences from Pacific
 Biosciences sequencing data:
  * Circular Consensus Calling
    ccs takes multiple reads of the same SMRTbell sequence and combines them,
    employing a statistical model, to produce one high quality consensus
    sequence.
  * Minor variant caller
    juliet identifies minor variants from aligned ccs reads.

Package: python-consensuscore2
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: generate consensus sequences for PacBio data -- Python 2
 ConsensusCore2 embodies core C++ routines underlying the Arrow HMM
 algorithm for PacBio multi-sequence consensus.  Arrow is the successor
 to the Quiver model---a CRF model that was embodied in the
 ConsensusCore C++ library. Compared to Quiver, the Arrow model is more
 statistically principled and easier and more robust to train.
 .
 This package installs the library for Python 2.
